dump2dcm does not support reading private elements any more
2017-04-05 17:31 - Jorg Riesmeier
Module: dcmdata Compiler:

Operating System:

Description
It seems that with commit ae4ae81 dump2dcm stop from reading private elements correctly:

E: dump2dcm: test.dump: Error in creating Element: Corrupted data (line 95)

History

#1 - 2017-04-15 12:37 - Michael Onken
| cannot confirm this (tested with code at commit 3a7bb6b9b35a698de23d1064b36fbc31d074a1a0), do you have an example file?

#2 - 2017-04-15 12:43 - Michael Onken

- Status changed from New to Feedback

#3 - 2017-04-17 19:42 - Marco Eichelberg
- File ct1.dump added

The error can be reproduced using the attached dump file (on Caesar). Conversion with dump2dcm 3.6.0 works, with 3.6.1_current it fails.

#4 - 2017-04-17 19:58 - Marco Eichelberg

The bug is caused by Dcmltem::newDicomElement(). The version of this method previously used (which is now private) takes a DcmTagé&, whereas
the method used now uses a DcmTagKey& as parameter. This means that the information about the VR to be used is lost in the method call, which
causes the problem.

#5 - 2017-04-17 20:30 - Marco Eichelberg
- Status changed from Feedback to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit 73b5f8e.

Files

ct1.dump 1.27 KB 2017-04-17 Marco Eichelberg
